.\" file MASS/eqscplot.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN eqscplot
.TL
Plots with Geometrically Equal Scales
.DN
Version of a scatterplot with scales chosen to be equal on both axes, that
is 1cm represents the same units on each
.CS
eqscplot(x, y, ratio = 1, tol = 0.04, uin, ...)
.RA
.AG x
vector of x values, or a 2-column matrix, or a list with components
`x' and `y'
.OA
.AG y
vector of y values
.AG ratio
desired ratio of units on the axes. Units on the y axis are drawn at
`ratio' times the size of units on the x axis. Ignored if `uin' is
specified and of length 2.
.AG tol
proportion of white space at the margins of plot
.AG uin
desired values for the units per inch parameter. If of length 1, the
desired units per inch on the x axis.
.AG ...
further arguments for `plot'
.RT
invisibly, the values of `uin' used for the plot.
.SE
performs the plot.
.DT
Limits for the x and y axes are chosen so that they include the
data. One of the sets of limits is then stretched from the midpoint to
make the units in the ratio given by `ratio'. Finally both are
stretched by `1 + tol' to move points away from the axes, and the
points plotted.
.SH Note
Arguments `ratio' and `uin' were suggested by Bill Dunlap.
.SA
`plot', `par'
.KW hplot
.WR
