.BG
.FN glmmPQL
.TL
Fit Generalized Linear Mixed Models via PQL
.DN
Fit a GLMM model with multivariate normal random effects, using
Penalized Quasi-Likelihood.
.CS
glmmPQL(fixed, random, family, data, correlation, weights, 
        dispersion = NULL, control, niter = 10, verbose = T, ...)
.RA
.AG fixed
a two-sided linear formula giving fixed-effects part of the model.
.AG random
A formula or list of formulae describing the random effects.
.AG family
a GLM family.
.AG data
an optional data frame used as the first place to find
variables in the formulae.
.AG correlation
an optional correlation structure.
.AG weights
optional case weights as in `glm'.
.AG dispersion
the over-dispersion of the GLMM: by default this is estimated but can
be specified here.
.AG control
an optional argument to be passed to `lme'. (This is modified in the S
version but passed unchanged in the R version.)
.AG niter
maximum number of iterations.
.AG verbose
logical: print out record of iterations?
.AG ...
Further arguments for `lme'.
.RT
A object of class `"lme"': see `lmeObject'.
.SH REFERENCES
Schall, R. (1991) Estimation in generalized linear models with
random effects. 
.ul
Biometrika
\fB78\fP, 719-727.
.PP
Breslow, N. E. and Clayton, D. G. (1993) Approximate inference in
generalized linear mixed models.
.ul
Journal of the American Statistical Association 
\fB88\fP, 9-25.
.PP 
Wolfinger, R. and O'Connell, M. (1993) Generalized linear mixed models: a
pseudo-likelihood approach.
.ul
Journal of Statistical Computation and Simulation 
\fB48\fP, 233-243.
.SA
`lme'
.EX
summary(glmmPQL(y ~ trt + I(week > 2), random = ~ 1 | ID, 
                family = binomial, data = bacteria))
.KW models
.WR
