.BG
.FN hist.scott
.FN hist.FD
.FN nclass.scott
.FN nclass.FD
.TL
Plot a Histogram with Automatic Bin Width Selection
.DN
Plot a histogram with automatic bin width selection, using the Scott
or Freedman-Diaconis formulae.
.CS
hist.scott(x, prob = T, ...)
hist.FD(x, prob = T,  ...)
nclass.scott(x)
nclass.FD(x)
.RA
.AG x
A data vector
.OA
.AG prob
Should the plot have unit area, so be a density estimate?
.AG ...
Further arguments to `hist'.
.RT
For the `nclass.*' functions, the suggested number of classes.
.SE
The `hist.*' function plot a histogram.
.DT
`nclass.scott' uses Scott's choice for a normal distribution based on
the estimate of the standard error, and `nclass.FD' uses the
Freedman-Diaconis choice based on the inter-quartile range.
.SH REFERENCES
Venables, W. N. and Ripley, B. D. (1999)
.ul
Modern Applied Statistics with S-PLUS.
Springer, pages 118-9.
.SA
`hist'
.KW hplot
.KW dplot
.WR
