.BG
.FN mosaicplot
.TL
Mosaic Plot
.DN
Plots a mosaic on the current graphics device. 
.CS
mosaicplot(X, main = NULL, xlab = NULL, ylab = NULL, sort = NULL, 
           off = NULL, dir = NULL, color = F)
.RA
.AG X
a contingency table, as an array or data frame.
.OA
.AG main, xlab, ylab
titles and sub-titles for plot.
.AG sort
vector ordering of the variables, containing a permutation
of the integers `1:length(dim(X))' (the default).
.AG off
vector of offsets to determine percentage spacing at each level of the
mosaic (appropriate values are between 0 and 20, and the default is 10
at each level).  There should be one offset for each dimension of the
contingency table.
.AG dir
vector of split directions (`"v"'=vertical and `"h"'=horizontal) for
each level of the mosaic, one direction for each dimension of the
contingency table.  The default consists of alternating directions,
beginning with a vertical split.
.AG color
logical or  vector of integer colors. Should the boxes by coloured?
.RT
None.
.SE
A mosaic plot is plotted on the current device.
.SH REFERENCES
Based on S code by
.PP
Jay Emerson, Yale University, February 1998
.br
http://www.stat.yale.edu/~emerson/JCGS/index.html
.PP
Hartigan, J.A., and Kleiner, B. (1984)
A mosaic of television ratings.
.ul
The American Statistician, 
\fB38\fP, 32-35.
.PP
Friendly, M. (1994) Mosaic displays for multi-way contingency tables. 
.ul
Journal of the American Statistical Association, 
\fB89\fP, 190-200.
.PP
Emerson, J. W. (1998) 
Mosaic displays in S-PLUS: a general implementation and a case study. 
.uk
Statistical Computing and Graphics Newsletter, 
\fB9(1)\fP, 17-23.
.EX
caith1 <- as.matrix(caith)
names(dimnames(caith1)) <- c("eyes", "hair")
mosaicplot(caith1, color = T)
# use xtabs in R
House <- crosstabs(Freq ~ Type + Infl + Cont + Sat, housing)
mosaicplot(House, color = T)
.KW hplot
.WR
