.\" file MASS/npk.d
.\" copyright (C) 1999 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN npk
.TL
Classical N, P, K Factorial Experiment
.SH SUMMARY
A classical N, P, K (nitrogen, phosphate, potassium) factorial
experiment on the growth of peas conducted on 6 blocks. Each half of a
fractional factorial design confounding the NPK interaction was used
on 3 of the plots.
.SH "DATA DESCRIPTION"
The `npk' data frame has 24 rows and 5 columns:
.AG block
which block (label 1 to 6).
.AG N
indicator (0/1) for the application of nitrogen.
.AG P
indicator (0/1) for the application of phosphate.
.AG K
indicator (0/1) for the application of potassium.
.AG yield
Yield of peas, in pounds/plot (the plots were (1/70) acre).
.SH SOURCE
Imperial College, London, M.Sc. exercise sheet.
.EX
npk.aov <- aov(yield ~ block + N*P*K, npk)
npk.aov
summary(npk.aov)
alias(npk.aov)
coef(npk.aov)
options(contrasts=c("contr.treatment", "contr.poly"))
npk.aov1 <- aov(yield ~ block + N + K, npk)
summary.lm(npk.aov1)
se.contrast(npk.aov1, list(N=="0", N=="1"), data=npk)
model.tables(npk.aov1, type="means", se=T)
.KW sysdata
.WR
