.\" file MASS/pairs.lda.d
.\" copyright (C) 1998-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN pairs.lda
.TL
Produce Pairwise Scatterplots from an `lda' Fit
.DN
Pairwise scatterplot of the data on the linear discriminants.
.CS
pairs.lda(x, labels=dimnames(x)[[2]], panel=panel.lda, 
         dimen, abbrev=F, ..., cex=0.7, type=c("std", "trellis"))
.RA
.AG x
Object of class `"lda"'.
.OA
.AG labels
vector of character strings for labelling the variables.
.AG panel
panel function to plot the data in each panel.
.AG dimen
The number of linear discriminants to be used for the plot; if this
exceeds the number determined by `x' the smaller value is used.
.AG abbrev
whether the group labels are abbreviated on the plots. If `abbrev > 0'
this gives `minlength' in the call to `abbreviate'.
.AG ...
additional arguments for `pairs.default'.
.AG cex
graphics parameter `cex' for labels on plots.
.AG type
type of plot. The default is in the style of `pair.default'; the
tyle `"trellis"' uses the Trellis function `splom'.
.RT
None.
.DT
.ME pairs lda
.SA
`pairs'
.KW hplot
.KW multivariate
.WR
