.\" file MASS/predict.mca.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN predict.mca
.TL
Predict Method for Class `mca'
.DN
Used to compute coordinates for additional rows or additional factors
in a multiple correspondence analysis.
.CS
predict.mca(object, newdata, type=c("row", "factor"), ...)
.RA
.AG object
An object of class `"mca"', usually the result of a call to `mca'.
.AG newdata
A data frame containing \fIeither\fP additional rows of the factors used to
fit `object' \fIor\fP additional factors for the cases used in the
original fit.
.OA
.AG type
Are predictions required for further rows or for new factors?
.AG ...
Additional arguments from `predict': unused.
.RT
If `type = "row"', the coordinates for the additional rows.
.sp
If `type = "factor"', the coordinates of the column vertices for the
levels of the new factors. 
.SA
`mca', `plot.mca'
.KW category
.KW multivariate
.WR
