.\" file MASS/rnegbin.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN rnegbin
.TL
Simulate Negative Binomial Variates
.DN
Function to generate random outcomes from a Negative Binomial distribution,
with mean `mu' and variance `mu + mu^2/theta'.
.CS
rnegbin(n, mu=n, theta=stop("theta must be given"))
.RA
.AG n
If a scalar, the number of sample values required.  If a vector,
`length(n)' is the number required and `n' is used as the mean vector if
`mu' is not specified.
.AG mu
The vector of means.  Short vectors are recycled.
.AG theta
Vector of values of the `theta' parameter.  Short vectors are recycled.
.RT
Vector of random Negative Binomial variate values.
.SE
Changes `.Random.seed' in the usual way.
.DT
The function uses the representation of the Negative Binomial distribution
as a continuous mixture of Poisson distributions with Gamma distributed means.
Unlike `rnbinom' the index can be arbitrary.
.EX
# Negative Binomials with means fitted(fm) and theta=4.5
fm <- glm.nb(Days ~ ., data=quine)
dummy <- rnegbin(fitted(fm), theta=4.5)
.KW distribution
.WR
