.\" file MASS/ucv.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN ucv
.TL
Unbiased Cross-Validation for Bandwidth Selection
.DN
Uses unbiased cross-validation to select the bandwidth of a Gaussian
kernel density estimator.
.CS
ucv(x, nb=1000, lower, upper)
.RA
.AG x
a numeric vector
.OA
.AG nb
number of bins to use.
.AG lower, upper
Range over which to minimize.  The default is almost always satisfactory.
.RT
a bandwidth.
.SH REFERENCE
Scott, D. W. (1992)
.ul
Multivariate Density Estimation: Theory, Practice, and  Visualization.
Wiley.
.SA
`bcv', `width.SJ', `density'
.EX
ucv(faithful$eruptions)
.KW dplot
.WR
