.\" file spatial/Kaver.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN Kaver
.TL
Average K-functions from Simulations
.DN
Forms the average of a series of (usually simulated) K-functions.
.CS
Kaver(fs, nsim, ...)
.RA
.AG fs
full scale for K-fn
.AG nsim
number of simulations
.AG ...
arguments to simulate one point process object
.RT
list with components `x' and `y' of the average K-fn on L-scale.
.SA
`Kfn', `Kenvl'
.EX
towns <- ppinit("towns.dat")
par(pty="s")
plot(Kfn(towns, 40), type="b")
plot(Kfn(towns, 10), type="b", xlab="distance", ylab="L(t)")
for(i in 1:10) lines(Kfn(Psim(69), 10))
lims <- Kenvl(10,100,Psim(69))
lines(lims$x,lims$l, lty=2)
lines(lims$x,lims$u, lty=2)
lines(Kaver(10,25,Strauss(69,0.5,3.5)))
.KW spatial
.WR
