.BG
.FN predict.trls
.TL
Predict method for trend surface fits
.DN
Predicted values based on trend surface model object
.CS
predict.trls(object, x, y, ...)
.RA
.AG object
Fitted trend surface model object returned by `surf.ls'
.AG x
Vector of prediction location eastings (x coordinates)
.AG y
Vector of prediction location northings (y coordinates)
.OA
.AG ...
further arguments passed to or from other methods.
.RT
`predict.trls' produces a vector of predictions corresponding 
to the prediction locations. To display the output with `image'
or `contour', use `trmat' or convert the returned vector
to matrix form.
.SA
`surf.ls', `trmat'
.EX
topo2 <- surf.ls(2, topo)
topo4 <- surf.ls(4, topo)
x <- c(1.78, 2.21)
y <- c(6.15, 6.15)
z2 <- predict(topo2, x, y)
z4 <- predict(topo4, x, y)
cat("2nd order predictions:", z2, "\\n4th order predictions:", z4, "\\n")
.KW spatial
.WR
