.\" file spatial/semat.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN semat
.TL
Evaluate Kriging Standard Error of Prediction over a Grid
.DN
Evaluate Kriging standard error of prediction over a grid.
.CS
semat(obj, xl, xu, yl, yu, n, se)
.RA
.AG obj
object returned by `surf.gls'
.AG xl
limits of the rectangle for grid
.AG xu
.AG yl
.AG yu
.AG n
use `n' \(mu `n' grid within the rectangle
.OA
.AG se
standard error at distance zero as a multiple of the supplied
covariance. Otherwise estimated, and it assumed that a correlation
function was supplied.
.RT
list with components x, y and z suitable for `contour' and `image'.
.SA
`surf.gls', `trmat', `prmat'
.EX
topo.kr <- surf.gls(2, expcov, topo, d=0.7)
prsurf <- prmat(topo.kr, 0, 6.5, 0, 6.5, 50)
contour(prsurf, levels=seq(700, 925, 25))
sesurf <- semat(topo.kr, 0, 6.5, 0, 6.5, 30)
contour(sesurf, levels=c(22,25))
.KW spatial
.WR
