.\" file spatial/surf.ls.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN surf.ls
.TL
Fits a Trend Surface by Least-squares
.DN
Fits a trend surface by least-squares.
.CS
surf.ls(np, x, y, z)

residuals.trls(object, ...)
fitted.trls(object, ...)
deviance.trls(object, ...)
df.residual.trls(object, ...)
extractAIC.trls(fit, scale, k=2, ...)
.RA
.AG np
degree of polynomial surface
.AG x
x coordinates or a data frame with columns `x', `y', `z'
.AG y
y coordinates
.AG z
z coordinates. Will supersede `x$z'
.AG object, fit
a fit inheriting from class `"trls"'
.OA
.AG scale
unused for this method
.AG k
the multiple of the number of degrees of freedom to be used.
.AG ...
arguments passed to or from other methods.
.RT
list with components 
.RC beta
the coefficients
.RC x
.RC y
.RC z
.PP
and others for internal use only.
.SA
`trmat', `surf.gls'
.EX
library(MASS)
topo.kr <- surf.ls(2, topo)
trsurf <- trmat(topo.kr, 0, 6.5, 0, 6.5, 50)
eqscplot(trsurf, type="n")
contour(trsurf, add=T)
points(topo)

eqscplot(trsurf, type="n")
contour(trsurf, add=T)
plot(topo.kr, add=T)
title(xlab="Circle radius proportional to Cook's influence statistic")
.KW spatial
.WR
