.\" file treefix/predict.tree.d based on
.\" @(#)predict.tr.d version 3.15 created 8/6/93
.\" @(#)Copyright (c), 1987, 1993 StatSci, Inc.  All rights reserved.
.\" Amended by B.D. Ripley June 1996, changes (C) 1996-9 B. D. Ripley
.BG
.FN predict.tree
.TL
Predictions from a Fitted Tree Object
.DN
Returns a vector of predicted responses from a fitted tree object.
.CS
predict.tree(object, newdata = list(), 
             type = c("vector", "tree", "class", "where"), 
             split = F, nwts, eps = 1e-3)
.RA
.AG object
fitted model object of class `tree'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `tree' function.
.OA
.AG newdata
data frame containing the values at which predictions are required.
The predictors referred to in the right side
of `formula(object)' must be present by name in `newdata'.
If missing, fitted values are returned.
.AG type
character string denoting whether the predictions are 
returned as a vector (default) or as a tree object or a factor giving
the predicted class (for a classification tree only) or the the nodes
the cases reach.
.AG split
governs the handling of missing values. If false, cases with missing
values are dropped down the tree until a leaf is reached or a node for which
the attribute is missing, and that node is used for prediction. If
`split = T' cases with missing attributes are split into fractional
cases and dropped down each side of the split. The predicted values
are averaged over the fractions to give the prediction.
.AG nwts
weights for the `newdata' cases, used when predicting a tree.
.AG eps
a lower bound for the probabilities, used if events of predicted
probability zero occur in `newdata' when predicting a tree.
.RT
if `type="vector"':
.br
vector of predicted responses or, if the response is a factor, matrix
of predicted class probabilities.  This new object is obtained by
dropping `newdata' down `object'.  For factor predictors, if an
observation contains a level not used to grow the tree, it is left at
the deepest possible node and `frame$yval' or `frame$yprob' at that
node is the prediction.
.PP
if `type="tree"':
.br
an object of class `"tree"' is returned with new values
for `frame$n' and `frame$dev'. If
`newdata' does not contain a column for the response in the formula
the value of `frame$dev' will be `NA', and if some values in the
response are missing, the some of the deviances will be `NA'.
.PP
if `type="class"':
.br
for a classification tree, a factor of the  predicted classes (that
with highest posterior probability, with ties split randomly).
.PP
if `type="where"':
.br
the nodes case reach.
.DT
.ME predict tree
.SH REFERENCE
Ripley, B.D. (1996).
.ul
Pattern Recognition and Neural Networks.
Cambridge University Press, Cambridge.
.DT
.ME predict tree
.SA
`predict', `tree.object'.
.KW tree
.WR
